Enviar produto
curl --request POST \
--url https://admin-api.sandbox.solomon.com.br/admin/v1/product \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"productId": "prod_123",
"productName": "Tênis Esportivo",
"createdAt": "2026-01-10T14:32:10Z",
"updatedAt": "2026-01-10T14:32:10Z",
"status": 1,
"imageUrl": "https://example.com/image.jpg",
"url": "https://example.com/product",
"variants": [
{
"variantId": "var_verde_42",
"createdAt": "2026-01-10T14:32:10Z",
"updatedAt": "2026-01-10T14:32:10Z",
"title": "Tênis Esportivo Verde",
"price": 199.9,
"cost": 60,
"currency": "BRL",
"sku": "var_verde_42"
}
]
}
'import requests
url = "https://admin-api.sandbox.solomon.com.br/admin/v1/product"
payload = {
"productId": "prod_123",
"productName": "Tênis Esportivo",
"createdAt": "2026-01-10T14:32:10Z",
"updatedAt": "2026-01-10T14:32:10Z",
"status": 1,
"imageUrl": "https://example.com/image.jpg",
"url": "https://example.com/product",
"variants": [
{
"variantId": "var_verde_42",
"createdAt": "2026-01-10T14:32:10Z",
"updatedAt": "2026-01-10T14:32:10Z",
"title": "Tênis Esportivo Verde",
"price": 199.9,
"cost": 60,
"currency": "BRL",
"sku": "var_verde_42"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
productId: 'prod_123',
productName: 'Tênis Esportivo',
createdAt: '2026-01-10T14:32:10Z',
updatedAt: '2026-01-10T14:32:10Z',
status: 1,
imageUrl: 'https://example.com/image.jpg',
url: 'https://example.com/product',
variants: [
{
variantId: 'var_verde_42',
createdAt: '2026-01-10T14:32:10Z',
updatedAt: '2026-01-10T14:32:10Z',
title: 'Tênis Esportivo Verde',
price: 199.9,
cost: 60,
currency: 'BRL',
sku: 'var_verde_42'
}
]
})
};
fetch('https://admin-api.sandbox.solomon.com.br/admin/v1/product', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"request_id": "<string>",
"timestamp": "<string>"
}{
"success": true,
"error": {
"code": "<string>",
"message": "<string>"
},
"request_id": "<string>",
"timestamp": "<string>"
}{
"success": true,
"error": {
"code": "<string>",
"message": "<string>"
},
"request_id": "<string>",
"timestamp": "<string>"
}Ingestão de dados
Enviar Produto
Envia um produto para ser processado assincronamente pela Solomon
POST
/
product
Enviar produto
Authorizations
API Key para autenticação
Body
application/json
Produto a ser processado pela Solomon
ID do produto
Nome do produto
Data de criação do produto
Pattern:
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}Z$Example:
"2026-01-10T14:32:10Z"
Data de atualização do produto
Pattern:
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}Z$Example:
"2026-01-10T14:32:10Z"
Status do produto:
- 0 - Inativo
- 1 - Ativo
Available options:
0, 1 Example:
1
URL da imagem do produto
URL do produto
Variantes do produto
Show child attributes
Show child attributes

